AceTime 2.4.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Member Functions | List of all members
ace_time::ExtendedZone Class Reference

A thin wrapper around an extended::ZoneInfo data structure to provide a stable API access to some useful extended::ZoneInfo data. More...

`#include <ExtendedZone.h>`

## Public Member Functions
| ExtendedZone (const extended::ZoneInfo *zoneInfo)
| Constructor from a raw extended::ZoneInfo* pointer, intended for manual inspection of a ZoneInfo record.
| ExtendedZone (const extended::ZoneInfoBroker &zoneInfo)
| Constructor from an extended::ZoneInfoBroker, used by ExtendedZoneProcessor. More...
| ExtendedZone (const ExtendedZone &)=default
ExtendedZone & | operator= (const ExtendedZone &)=default
bool | isNull () const
| Return true if zoneInfo is null.
void | printNameTo (Print &printer) const
| Print the full zone name to printer. More...
void | printShortNameTo (Print &printer) const
| Print the short pretty zone name to the printer. More...
uint32_t | zoneId () const
| Return the zoneId of the current zoneInfo.
TimeOffset | stdOffset () const
| Return the STDOFF of the last ZoneEra.
ace_common::KString | kname () const
| Return the name as a KString.

## Detailed Description

A thin wrapper around an extended::ZoneInfo data structure to provide a stable API access to some useful extended::ZoneInfo data.

The extended::ZoneInfo data struct is intended to be an opaque type to the users of this library.

Definition at line 24 of file ExtendedZone.h.

## Constructor & Destructor Documentation

## ◆ ExtendedZone()

ace_time::ExtendedZone::ExtendedZone | ( | const extended::ZoneInfoBroker & | zoneInfo | ) |
| inline

Constructor from an extended::ZoneInfoBroker, used by ExtendedZoneProcessor.

This allows the implementation details of ZoneInfoBroker to remain hidden.

Definition at line 38 of file ExtendedZone.h.

## Member Function Documentation

## ◆ printNameTo()

void ace_time::ExtendedZone::printNameTo | ( | Print & | printer | ) | const

Print the full zone name to printer.

Example "America/Los_Angeles".

Definition at line 18 of file ExtendedZone.cpp.

## ◆ printShortNameTo()

void ace_time::ExtendedZone::printShortNameTo | ( | Print & | printer | ) | const

Print the short pretty zone name to the printer.

Underscores are replaced with spaces. Example "Los Angeles".

Definition at line 25 of file ExtendedZone.cpp.

The documentation for this class was generated from the following files:

- /home/brian/src/AceTime/src/ace_time/ExtendedZone.h
- /home/brian/src/AceTime/src/ace_time/ExtendedZone.cpp